[Tarantool-patches] [PATCH v1] update_repo: correct fix for RPMs on missing metadata

Alexander V. Tikhonov avtikhon at tarantool.org
Mon Jul 27 16:11:06 MSK 2020


Found that removing RPMs additional call to its removement is
needed, when no metadata was found.
---

Github: https://github.com/tarantool/tarantool/tree/avtikhon/correct_rpm_remove

 tools/update_repo.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/tools/update_repo.sh b/tools/update_repo.sh
index 5a68e3e05..d9b91a753 100755
--- a/tools/update_repo.sh
+++ b/tools/update_repo.sh
@@ -869,6 +869,13 @@ function remove_rpm {
         done
     done
 
+    # remove all found file by the given pattern in options
+    for suffix in 'x86_64' 'noarch' 'src'; do
+        file="$bucket_path/$packpath/${remove}-1.${os}${option_dist}.${suffix}.rpm"
+        $aws ls $file || continue
+        $aws rm $file
+    done
+
     # check if any RPM files were newly registered
     [ "$updated_rpms" == "0" ] && \
         return || echo "Updating dists"
-- 
2.17.1



More information about the Tarantool-patches mailing list